- return unless can?(current_user, :read_group_analytics_dashboards, @group)

%section.settings.analytics-dashboards-settings.no-animate{ class: ('expanded' if expanded) }
  .settings-header
    %h4.settings-title.js-settings-toggle.js-settings-toggle-trigger-only
      = s_('GroupSettings|Analytics Dashboards')
    = render Pajamas::ButtonComponent.new(button_options: { class: 'js-settings-toggle' }) do
      = expanded ? _('Collapse') : _('Expand')
    %p
      = s_('GroupSettings|Select the project containing Analytics Dashboards configuration files.')
      = link_to(s_('GroupSettings|What is Analytics Dashboards?'), help_page_path('user/analytics/value_streams_dashboard.md'))

  .settings-content
    = gitlab_ui_form_for @group, html: { class: 'fieldset-form' } do |form|
      = form_errors(@group)

      %fieldset
        .form-group
          - pointer = @group.analytics_dashboards_pointer || @group.build_analytics_dashboards_pointer
          = form.fields_for :analytics_dashboards_pointer_attributes, pointer do |pointer_form|
            = pointer_form.hidden_field :id
            = pointer_form.label :project_id, class: 'label-light' do
              = s_('GroupSettings|Select the project containing Analytics Dashboards configuration files')
            = project_select_tag('group[analytics_dashboards_pointer_attributes][project_id]', class: 'project-item-select',
              placeholder: _('Search projects'), idAttribute: 'id', data: { order_by: 'last_activity_at', idattribute: 'id', simple_filter: true, allow_clear: true, include_projects_in_subgroups: true}, value: pointer.project_id)
      = form.submit _('Save changes'), pajamas_button: true
